=== modified file 'drizzled/base.h'
--- drizzled/base.h	2009-08-17 22:19:53 +0000
+++ drizzled/base.h	2009-10-06 05:50:22 +0000
@@ -194,25 +194,18 @@
   HA_KEYTYPE_END=0,
   HA_KEYTYPE_TEXT=1,			/* Key is sorted as letters */
   HA_KEYTYPE_BINARY=2,			/* Key is sorted as unsigned chars */
-  HA_KEYTYPE_SHORT_INT=3,
   HA_KEYTYPE_LONG_INT=4,
-  HA_KEYTYPE_FLOAT=5,
   HA_KEYTYPE_DOUBLE=6,
-  HA_KEYTYPE_NUM=7,			/* Not packed num with pre-space */
-  HA_KEYTYPE_USHORT_INT=8,
   HA_KEYTYPE_ULONG_INT=9,
   HA_KEYTYPE_LONGLONG=10,
   HA_KEYTYPE_ULONGLONG=11,
-  HA_KEYTYPE_INT24=12,
   HA_KEYTYPE_UINT24=13,
-  HA_KEYTYPE_INT8=14,
   /* Varchar (0-255 bytes) with length packed with 1 byte */
   HA_KEYTYPE_VARTEXT1=15,               /* Key is sorted as letters */
   HA_KEYTYPE_VARBINARY1=16,             /* Key is sorted as unsigned chars */
   /* Varchar (0-65535 bytes) with length packed with 2 bytes */
   HA_KEYTYPE_VARTEXT2=17,		/* Key is sorted as letters */
-  HA_KEYTYPE_VARBINARY2=18,		/* Key is sorted as unsigned chars */
-  HA_KEYTYPE_BIT=19
+  HA_KEYTYPE_VARBINARY2=18		/* Key is sorted as unsigned chars */
 };
 
 #define HA_MAX_KEYTYPE	31		/* Must be log2-1 */

=== modified file 'plugin/heap/hp_create.cc'
--- plugin/heap/hp_create.cc	2009-10-05 04:33:20 +0000
+++ plugin/heap/hp_create.cc	2009-10-07 16:29:08 +0000
@@ -197,17 +197,12 @@
 	    keyinfo->rb_tree.size_of_element++;
 	}
 	switch (keyinfo->seg[j].type) {
-	case HA_KEYTYPE_SHORT_INT:
 	case HA_KEYTYPE_LONG_INT:
-	case HA_KEYTYPE_FLOAT:
 	case HA_KEYTYPE_DOUBLE:
-	case HA_KEYTYPE_USHORT_INT:
 	case HA_KEYTYPE_ULONG_INT:
 	case HA_KEYTYPE_LONGLONG:
 	case HA_KEYTYPE_ULONGLONG:
-	case HA_KEYTYPE_INT24:
 	case HA_KEYTYPE_UINT24:
-	case HA_KEYTYPE_INT8:
 	  keyinfo->seg[j].flag|= HA_SWAP_KEY;
           break;
         case HA_KEYTYPE_VARBINARY1:

=== modified file 'plugin/heap/hp_hash.cc'
--- plugin/heap/hp_hash.cc	2009-03-21 20:48:43 +0000
+++ plugin/heap/hp_hash.cc	2009-10-06 05:50:12 +0000
@@ -711,19 +711,7 @@
       unsigned char *pos= (unsigned char*) rec + seg->start;
 
 #ifdef HAVE_ISNAN
-      if (seg->type == HA_KEYTYPE_FLOAT)
-      {
-	float nr;
-	float4get(nr, pos);
-	if (isnan(nr))
-	{
-	  /* Replace NAN with zero */
- 	  memset(key, 0, length);
-	  key+= length;
-	  continue;
-	}
-      }
-      else if (seg->type == HA_KEYTYPE_DOUBLE)
+      if (seg->type == HA_KEYTYPE_DOUBLE)
       {
 	double nr;
 	float8get(nr, pos);
@@ -925,38 +913,18 @@
   const unsigned char *key=  (unsigned char*) record + keyseg->start;
 
   switch (info->s->auto_key_type) {
-  case HA_KEYTYPE_INT8:
-    s_value= (int64_t) *(char*)key;
-    break;
   case HA_KEYTYPE_BINARY:
     value=(uint64_t)  *(unsigned char*) key;
     break;
-  case HA_KEYTYPE_SHORT_INT:
-    s_value= (int64_t) sint2korr(key);
-    break;
-  case HA_KEYTYPE_USHORT_INT:
-    value=(uint64_t) uint2korr(key);
-    break;
   case HA_KEYTYPE_LONG_INT:
     s_value= (int64_t) sint4korr(key);
     break;
   case HA_KEYTYPE_ULONG_INT:
     value=(uint64_t) uint4korr(key);
     break;
-  case HA_KEYTYPE_INT24:
-    s_value= (int64_t) sint3korr(key);
-    break;
   case HA_KEYTYPE_UINT24:
     value=(uint64_t) uint3korr(key);
     break;
-  case HA_KEYTYPE_FLOAT:                        /* This shouldn't be used */
-  {
-    float f_1;
-    float4get(f_1,key);
-    /* Ignore negative values */
-    value = (f_1 < (float) 0.0) ? 0 : (uint64_t) f_1;
-    break;
-  }
   case HA_KEYTYPE_DOUBLE:                       /* This shouldn't be used */
   {
     double f_1;

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2009-09-25 19:52:07 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2009-10-06 05:50:12 +0000
@@ -3572,23 +3572,10 @@
 	case HA_KEYTYPE_BINARY:
 		max_value = 0xFFULL;
 		break;
-	case HA_KEYTYPE_INT8:
-		max_value = 0x7FULL;
-		break;
-	/* SHORT */
-	case HA_KEYTYPE_USHORT_INT:
-		max_value = 0xFFFFULL;
-		break;
-	case HA_KEYTYPE_SHORT_INT:
-		max_value = 0x7FFFULL;
-		break;
 	/* MEDIUM */
 	case HA_KEYTYPE_UINT24:
 		max_value = 0xFFFFFFULL;
 		break;
-	case HA_KEYTYPE_INT24:
-		max_value = 0x7FFFFFULL;
-		break;
 	/* LONG */
 	case HA_KEYTYPE_ULONG_INT:
 		max_value = 0xFFFFFFFFULL;
@@ -3603,10 +3590,6 @@
 	case HA_KEYTYPE_LONGLONG:
 		max_value = 0x7FFFFFFFFFFFFFFFULL;
 		break;
-	case HA_KEYTYPE_FLOAT:
-		/* We use the maximum as per IEEE754-2008 standard, 2^24 */
-		max_value = 0x1000000ULL;
-		break;
 	case HA_KEYTYPE_DOUBLE:
 		/* We use the maximum as per IEEE754-2008 standard, 2^53 */
 		max_value = 0x20000000000000ULL;

=== modified file 'plugin/myisam/ha_myisam.cc'
--- plugin/myisam/ha_myisam.cc	2009-09-25 19:52:07 +0000
+++ plugin/myisam/ha_myisam.cc	2009-10-06 04:39:26 +0000
@@ -165,7 +165,6 @@
       {
         if (pos->key_part[j].length > 8 &&
             (type == HA_KEYTYPE_TEXT ||
-             type == HA_KEYTYPE_NUM ||
              (type == HA_KEYTYPE_BINARY && !field->zero_pack())))
         {
           /* No blobs here */

=== modified file 'plugin/myisam/mi_create.cc'
--- plugin/myisam/mi_create.cc	2009-08-17 20:38:45 +0000
+++ plugin/myisam/mi_create.cc	2009-10-06 05:50:12 +0000
@@ -232,11 +232,6 @@
       /* Test if prefix compression */
       if (keydef->flag & HA_PACK_KEY)
       {
-	/* Can't use space_compression on number keys */
-	if ((keydef->seg[0].flag & HA_SPACE_PACK) &&
-	    keydef->seg[0].type == (int) HA_KEYTYPE_NUM)
-	  keydef->seg[0].flag&= ~HA_SPACE_PACK;
-
 	/* Only use HA_PACK_KEY when first segment is a variable length key */
 	if (!(keydef->seg[0].flag & (HA_SPACE_PACK | HA_BLOB_PART |
 				     HA_VAR_LENGTH_PART)))
@@ -261,17 +256,12 @@
       {
 	/* numbers are stored with high by first to make compression easier */
 	switch (keyseg->type) {
-	case HA_KEYTYPE_SHORT_INT:
 	case HA_KEYTYPE_LONG_INT:
-	case HA_KEYTYPE_FLOAT:
 	case HA_KEYTYPE_DOUBLE:
-	case HA_KEYTYPE_USHORT_INT:
 	case HA_KEYTYPE_ULONG_INT:
 	case HA_KEYTYPE_LONGLONG:
 	case HA_KEYTYPE_ULONGLONG:
-	case HA_KEYTYPE_INT24:
 	case HA_KEYTYPE_UINT24:
-	case HA_KEYTYPE_INT8:
 	  keyseg->flag|= HA_SWAP_KEY;
           break;
         case HA_KEYTYPE_VARTEXT1:

=== modified file 'plugin/myisam/mi_key.cc'
--- plugin/myisam/mi_key.cc	2009-03-21 20:32:38 +0000
+++ plugin/myisam/mi_key.cc	2009-10-06 05:50:22 +0000
@@ -76,32 +76,11 @@
                   length);
 
     pos= (unsigned char*) record+keyseg->start;
-    if (type == HA_KEYTYPE_BIT)
-    {
-      if (keyseg->bit_length)
-      {
-        unsigned char bits= get_rec_bits((unsigned char*) record + keyseg->bit_pos,
-                                 keyseg->bit_start, keyseg->bit_length);
-        *key++= bits;
-        length--;
-      }
-      memcpy(key, pos, length);
-      key+= length;
-      continue;
-    }
+
     if (keyseg->flag & HA_SPACE_PACK)
     {
-      if (type != HA_KEYTYPE_NUM)
-      {
-        length= cs->cset->lengthsp(cs, (char*) pos, length);
-      }
-      else
-      {
-        unsigned char *end= pos + length;
-	while (pos < end && pos[0] == ' ')
-	  pos++;
-	length=(uint) (end-pos);
-      }
+      length= cs->cset->lengthsp(cs, (char*) pos, length);
+
       FIX_LENGTH(cs, pos, length, char_length);
       store_key_length_inc(key,char_length);
       memcpy(key, pos, char_length);
@@ -135,19 +114,7 @@
     else if (keyseg->flag & HA_SWAP_KEY)
     {						/* Numerical column */
 #ifdef HAVE_ISNAN
-      if (type == HA_KEYTYPE_FLOAT)
-      {
-	float nr;
-	float4get(nr,pos);
-	if (isnan(nr))
-	{
-	  /* Replace NAN with zero */
-	  memset(key, 0, length);
-	  key+=length;
-	  continue;
-	}
-      }
-      else if (type == HA_KEYTYPE_DOUBLE)
+      if (type == HA_KEYTYPE_DOUBLE)
       {
 	double nr;
 	float8get(nr,pos);
@@ -227,12 +194,8 @@
     if (keyseg->flag & HA_SPACE_PACK)
     {
       unsigned char *end=pos+length;
-      if (type == HA_KEYTYPE_NUM)
-      {
-	while (pos < end && pos[0] == ' ')
-	  pos++;
-      }
-      else if (type != HA_KEYTYPE_BINARY)
+
+      if (type != HA_KEYTYPE_BINARY)
       {
 	while (end > pos && end[-1] == ' ')
 	  end--;
@@ -319,26 +282,7 @@
       }
       record[keyseg->null_pos]&= ~keyseg->null_bit;
     }
-    if (keyseg->type == HA_KEYTYPE_BIT)
-    {
-      uint32_t length= keyseg->length;
 
-      if (keyseg->bit_length)
-      {
-        unsigned char bits= *key++;
-        set_rec_bits(bits, record + keyseg->bit_pos, keyseg->bit_start,
-                     keyseg->bit_length);
-        length--;
-      }
-      else
-      {
-        clr_rec_bits(record + keyseg->bit_pos, keyseg->bit_start,
-                     keyseg->bit_length);
-      }
-      memcpy(record + keyseg->start, key, length);
-      key+= length;
-      continue;
-    }
     if (keyseg->flag & HA_SPACE_PACK)
     {
       uint32_t length;
@@ -348,19 +292,12 @@
 	goto err;
 #endif
       pos= record+keyseg->start;
-      if (keyseg->type != (int) HA_KEYTYPE_NUM)
-      {
-        memcpy(pos, key, length);
-        keyseg->charset->cset->fill(keyseg->charset,
-                                    (char*) pos + length,
-                                    keyseg->length - length,
-                                    ' ');
-      }
-      else
-      {
-	memset(pos, ' ', keyseg->length-length);
-	memcpy(pos+keyseg->length-length, key, length);
-      }
+
+      memcpy(pos, key, length);
+      keyseg->charset->cset->fill(keyseg->charset,
+                                  (char*) pos + length,
+                                  keyseg->length - length,
+                                  ' ');
       key+=length;
       continue;
     }
@@ -507,38 +444,18 @@
   const unsigned char *key= (unsigned char*) record + keyseg->start;
 
   switch (keyseg->type) {
-  case HA_KEYTYPE_INT8:
-    s_value= (int64_t) *(char*)key;
-    break;
   case HA_KEYTYPE_BINARY:
     value=(uint64_t)  *(unsigned char*) key;
     break;
-  case HA_KEYTYPE_SHORT_INT:
-    s_value= (int64_t) sint2korr(key);
-    break;
-  case HA_KEYTYPE_USHORT_INT:
-    value=(uint64_t) uint2korr(key);
-    break;
   case HA_KEYTYPE_LONG_INT:
     s_value= (int64_t) sint4korr(key);
     break;
   case HA_KEYTYPE_ULONG_INT:
     value=(uint64_t) uint4korr(key);
     break;
-  case HA_KEYTYPE_INT24:
-    s_value= (int64_t) sint3korr(key);
-    break;
   case HA_KEYTYPE_UINT24:
     value=(uint64_t) uint3korr(key);
     break;
-  case HA_KEYTYPE_FLOAT:                        /* This shouldn't be used */
-  {
-    float f_1;
-    float4get(f_1,key);
-    /* Ignore negative values */
-    value = (f_1 < (float) 0.0) ? 0 : (uint64_t) f_1;
-    break;
-  }
   case HA_KEYTYPE_DOUBLE:                       /* This shouldn't be used */
   {
     double f_1;

=== modified file 'plugin/myisam/my_handler.cc'
--- plugin/myisam/my_handler.cc	2009-08-31 23:50:37 +0000
+++ plugin/myisam/my_handler.cc	2009-10-06 05:50:22 +0000
@@ -142,10 +142,8 @@
 	       uint32_t *diff_pos)
 {
   int flag;
-  int16_t s_1,s_2;
   int32_t l_1,l_2;
   uint32_t u_1,u_2;
-  float f_1,f_2;
   double d_1,d_2;
   uint32_t next_key_length;
   unsigned char *orig_b= b;
@@ -221,7 +219,6 @@
       }
       break;
     case HA_KEYTYPE_BINARY:
-    case HA_KEYTYPE_BIT:
       if (keyseg->flag & HA_SPACE_PACK)
       {
         int a_length,b_length,pack_length;
@@ -289,35 +286,6 @@
         b+=b_length;
         break;
       }
-    case HA_KEYTYPE_INT8:
-    {
-      int i_1= (int) *((signed char*) a);
-      int i_2= (int) *((signed char*) b);
-      if (piks && (flag = CMP_NUM(i_1,i_2)))
-        return ((keyseg->flag & HA_REVERSE_SORT) ? -flag : flag);
-      a= end;
-      b++;
-      break;
-    }
-    case HA_KEYTYPE_SHORT_INT:
-      s_1= mi_sint2korr(a);
-      s_2= mi_sint2korr(b);
-      if (piks && (flag = CMP_NUM(s_1,s_2)))
-        return ((keyseg->flag & HA_REVERSE_SORT) ? -flag : flag);
-      a=  end;
-      b+= 2; /* sizeof(short int); */
-      break;
-    case HA_KEYTYPE_USHORT_INT:
-      {
-        uint16_t us_1,us_2;
-        us_1= mi_sint2korr(a);
-        us_2= mi_sint2korr(b);
-        if (piks && (flag = CMP_NUM(us_1,us_2)))
-          return ((keyseg->flag & HA_REVERSE_SORT) ? -flag : flag);
-        a=  end;
-        b+=2; /* sizeof(short int); */
-        break;
-      }
     case HA_KEYTYPE_LONG_INT:
       l_1= mi_sint4korr(a);
       l_2= mi_sint4korr(b);
@@ -334,14 +302,6 @@
       a=  end;
       b+= 4; /* sizeof(long int); */
       break;
-    case HA_KEYTYPE_INT24:
-      l_1=mi_sint3korr(a);
-      l_2=mi_sint3korr(b);
-      if (piks && (flag = CMP_NUM(l_1,l_2)))
-        return ((keyseg->flag & HA_REVERSE_SORT) ? -flag : flag);
-      a=  end;
-      b+= 3;
-      break;
     case HA_KEYTYPE_UINT24:
       l_1=mi_uint3korr(a);
       l_2=mi_uint3korr(b);
@@ -350,19 +310,6 @@
       a=  end;
       b+= 3;
       break;
-    case HA_KEYTYPE_FLOAT:
-      mi_float4get(f_1,a);
-      mi_float4get(f_2,b);
-      /*
-        The following may give a compiler warning about floating point
-        comparison not being safe, but this is ok in this context as
-        we are bascily doing sorting
-      */
-      if (piks && (flag = CMP_NUM(f_1,f_2)))
-        return ((keyseg->flag & HA_REVERSE_SORT) ? -flag : flag);
-      a=  end;
-      b+= 4; /* sizeof(float); */
-      break;
     case HA_KEYTYPE_DOUBLE:
       mi_float8get(d_1,a);
       mi_float8get(d_2,b);
@@ -376,70 +323,6 @@
       a=  end;
       b+= 8;  /* sizeof(double); */
       break;
-    case HA_KEYTYPE_NUM:                                /* Numeric key */
-    {
-      int swap_flag= 0;
-      int alength,blength;
-
-      if (keyseg->flag & HA_REVERSE_SORT)
-      {
-        swap_variables(unsigned char*, a, b);
-        swap_flag=1;                            /* Remember swap of a & b */
-        end= a+ (int) (end-b);
-      }
-      if (keyseg->flag & HA_SPACE_PACK)
-      {
-        alength= *a++; blength= *b++;
-        end=a+alength;
-        next_key_length=key_length-blength-1;
-      }
-      else
-      {
-        alength= (int) (end-a);
-        blength=keyseg->length;
-        /* remove pre space from keys */
-        for ( ; alength && *a == ' ' ; a++, alength--) ;
-        for ( ; blength && *b == ' ' ; b++, blength--) ;
-      }
-      if (piks)
-      {
-	if (*a == '-')
-	{
-	  if (*b != '-')
-	    return -1;
-	  a++; b++;
-	  swap_variables(unsigned char*, a, b);
-	  swap_variables(int, alength, blength);
-	  swap_flag=1-swap_flag;
-	  alength--; blength--;
-	  end=a+alength;
-	}
-	else if (*b == '-')
-	  return 1;
-	while (alength && (*a == '+' || *a == '0'))
-	{
-	  a++; alength--;
-	}
-	while (blength && (*b == '+' || *b == '0'))
-	{
-	  b++; blength--;
-	}
-	if (alength != blength)
-	  return (alength < blength) ? -1 : 1;
-	while (a < end)
-	  if (*a++ !=  *b++)
-	    return ((int) a[-1] - (int) b[-1]);
-      }
-      else
-      {
-        b+=(end-a);
-        a=end;
-      }
-
-      if (swap_flag)                            /* Restore pointers */
-        swap_variables(unsigned char*, a, b);
-      break;
-    }
     case HA_KEYTYPE_LONGLONG:
     {
       int64_t ll_a,ll_b;
@@ -528,7 +411,6 @@
     switch ((enum ha_base_keytype) keyseg->type) {
     case HA_KEYTYPE_TEXT:
     case HA_KEYTYPE_BINARY:
-    case HA_KEYTYPE_BIT:
       if (keyseg->flag & HA_SPACE_PACK)
       {
         int a_length;
@@ -549,24 +431,11 @@
         a+= a_length;
         break;
       }
-    case HA_KEYTYPE_NUM:
-      if (keyseg->flag & HA_SPACE_PACK)
-      {
-        int alength= *a++;
-        end= a+alength;
-      }
-      a= end;
-      break;
-    case HA_KEYTYPE_INT8:
-    case HA_KEYTYPE_SHORT_INT:
-    case HA_KEYTYPE_USHORT_INT:
     case HA_KEYTYPE_LONG_INT:
     case HA_KEYTYPE_ULONG_INT:
-    case HA_KEYTYPE_INT24:
     case HA_KEYTYPE_UINT24:
     case HA_KEYTYPE_LONGLONG:
     case HA_KEYTYPE_ULONGLONG:
-    case HA_KEYTYPE_FLOAT:
     case HA_KEYTYPE_DOUBLE:
       a= end;
       break;

